Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.FontMapperCallback Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | MapFont (font_name, is_truetype, styles, weight, italic_angle, charset)
| (This function will be deprecated in the future. It is recommended to use FoxitPDFSDKPython2.FontMapperCallback.MapFont which returns . ) A callback function used to map a suitable font according to input parameters. More...
def | Release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object to map font in customized way. All the pure virtual functions in this class are used as callback functions and should be implemented by user. An implemented FontMapperCallback object can be set to Foxit PDF SDK by function FoxitPDFSDKPython2.Library.SetFontMapperCallback .

See also
  Library

## Member Function Documentation

## ◆ MapFont()

def FoxitPDFSDKPython2.FontMapperCallback.MapFont | ( |  | font_name,
|  |  | is_truetype,
|  |  | styles,
|  |  | weight,
|  |  | italic_angle,
|  |  | charset
| ) |  |

(This function will be deprecated in the future. It is recommended to use FoxitPDFSDKPython2.FontMapperCallback.MapFont which returns . )
A callback function used to map a suitable font according to input parameters.

Parameters

  [in] | font_name | Font name.
  [in] | is_truetype | true means the font is expected to be a TrueType font, while false means the font is expected to be a Type1 font.
  [in] | styles | Font styles. Please refer to values starting from FoxitPDFSDKPython2.Font.e_StyleFixedPitch and this would be one or a combination of these values.
  [in] | weight | Original font weight. 0 means unspecified.
  [in] | italic_angle | Italic angle.
  [in] | charset | The charset of the font to be mapped. Please refer to values starting from FoxitPDFSDKPython2.Font.e_CharsetANSI and this would be one of these values.

Returns
  Font map result object. If any member in the returned FontMapResult is invalid, that means no mapped font is found. Then Foxit PDF SDK will do font mapping.

## ◆ Release()

def FoxitPDFSDKPython2.FontMapperCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.